ipa-client-automount(1)

NAME
ipa-client-automount - Configure automount and NFS for IPA

SYNOPSIS
ipa-client-automount [OPTION]... <location>

DESCRIPTION
Configures automount for IPA. The automount configuration consists of two files:

o   /etc/nsswitch.conf

o   /etc/sysconfig/autofs

By default this will use DNS discovery to attempt to determine the IPA server(s) to use. If IPA servers are discovered then the automount client will be configured to use DNS discovery.

If DNS discovery fails or a specific server is desired, use the --server option.

The default automount location is named default. To specify a different one use the --location option.

The IPA client must already be configured in order to configure automount. The IPA client is configured as part of a server installation.

SSSD is configured to manage the automount maps.

The nss automount service is configured to use sss and files.

NFSv4 is also configured. The rpc.gssd and rpc.idmapd are started on clients to support Kerberos-secured mounts.

OPTIONS
--server=SERVER Set the FQDN of the IPA server to connect to.

--location=LOCATION
    Automount location.

--idmap-domain=IDMAP_DOMAIN
    NFS domain for idmapd.conf. If unset, defaults to the IPA domain. If set to DNS, let idmapd or nfsidmap determine the domain from DNS (see idmapd(8) or nfsidmap(5) for details). If set to anything else, set idmapd.conf's Domain entry to that value.

-d, --debug
    Print debugging information to stdout.

-U, --unattended
    Unattended installation. The user will not be prompted.

--uninstall
    Restore the automount configuration files.

FILES

Files that will be configured:
    /etc/nsswitch.conf /etc/sssd/sssd.conf

EXIT STATUS
0 if the installation was successful 1 if an error occurred 2 if uninstalling and automount is not configured 3 if installing and automount already configured